[CRIU] [PATCH] test/*: remove -t from criu restore

Kir Kolyshkin kir at openvz.org
Wed May 15 17:39:35 EDT 2013


Since commit 43ce038 -t is not required for restore,
plus a warning is printed if it is used. Let's remove
-t from criu restore in all test cases.

Signed-off-by: Kir Kolyshkin <kir at openvz.org>
---
 test/app-emu/java/HelloWorld/run.sh | 2 +-
 test/app-emu/job/job.exp            | 2 +-
 test/app-emu/lxc/run.sh             | 4 ++--
 test/app-emu/make/run.sh            | 2 +-
 test/app-emu/screen/run.sh          | 2 +-
 test/app-emu/tarbz/run.sh           | 2 +-
 test/app-emu/vnc/run.sh             | 2 +-
 test/mem-snap/run-predump.sh        | 2 +-
 test/mem-snap/run-snap.sh           | 2 +-
 test/tcp/run.sh                     | 2 +-
 test/zdtm.sh                        | 4 ++--
 11 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/test/app-emu/java/HelloWorld/run.sh b/test/app-emu/java/HelloWorld/run.sh
index ec8cef5..773598e 100644
--- a/test/app-emu/java/HelloWorld/run.sh
+++ b/test/app-emu/java/HelloWorld/run.sh
@@ -30,7 +30,7 @@ wait_tasks dump
 
 echo "Dumped, restoring and waiting for completion"
 
-${crtools} restore -D dump -o restore.log -v 4 --shell-job -t ${pid} || {
+${crtools} restore -D dump -o restore.log -v 4 --shell-job || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/job/job.exp b/test/app-emu/job/job.exp
index 1b4dcbd..fc7a724 100755
--- a/test/app-emu/job/job.exp
+++ b/test/app-emu/job/job.exp
@@ -37,7 +37,7 @@ switch $current {
 			exit -1
 		}
 
-		spawn ../../../crtools restore -v 4 -D ./dump -o restore.log -j -t $pid
+		spawn ../../../crtools restore -v 4 -D ./dump -o restore.log -j
 		#
 		# spawn doesn't wait for restore to complete, so
 		# add some sleep here. Still better would be to
diff --git a/test/app-emu/lxc/run.sh b/test/app-emu/lxc/run.sh
index ddaefdc..5122c44 100755
--- a/test/app-emu/lxc/run.sh
+++ b/test/app-emu/lxc/run.sh
@@ -45,7 +45,7 @@ echo "The CT $name was dumped successfully"
 echo Press Enter for restoring CT
 read
 
-echo "Restore the CT $name ($pid)"
+echo "Restore the CT $name"
 ${crtools} restore 	--evasive-devices					\
 			--tcp-established					\
 			--file-locks						\
@@ -54,7 +54,7 @@ ${crtools} restore 	--evasive-devices					\
 			--veth-pair eth0=$name.0				\
 			--root /root/test-lxc-root				\
 			--pidfile newpid.log					\
-			-vvvv -D data -d -o restore.log -t $pid || exit 1
+			-vvvv -D data -d -o restore.log || exit 1
 echo "The CT $name was restored successfully"
 
 pid=`cat data/newpid.log`;
diff --git a/test/app-emu/make/run.sh b/test/app-emu/make/run.sh
index bdef2d0..60ce49c 100644
--- a/test/app-emu/make/run.sh
+++ b/test/app-emu/make/run.sh
@@ -41,7 +41,7 @@ wait_tasks dump
 
 echo "Dumped, restoring and waiting for completion"
 
-${crtools} restore --shell-job -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore --shell-job -D dump -o restore.log -v 4 || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/screen/run.sh b/test/app-emu/screen/run.sh
index 7433ebe..6e4fe0a 100644
--- a/test/app-emu/screen/run.sh
+++ b/test/app-emu/screen/run.sh
@@ -23,7 +23,7 @@ wait_tasks dump
 
 echo "Dumped, restoring and waiting for completion"
 
-${crtools} restore -d -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore -d -D dump -o restore.log -v 4 || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/tarbz/run.sh b/test/app-emu/tarbz/run.sh
index 4202be5..71f07a0 100644
--- a/test/app-emu/tarbz/run.sh
+++ b/test/app-emu/tarbz/run.sh
@@ -55,7 +55,7 @@ ${crtools} dump --shell-job -D dump -o dump.log -v 4 -t ${pid} || {
 wait_tasks dump
 echo "Dump OK, restoring"
 
-${crtools} restore --shell-job -D dump -o restore.log -v 4 -t ${pid} || {
+${crtools} restore --shell-job -D dump -o restore.log -v 4 || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/app-emu/vnc/run.sh b/test/app-emu/vnc/run.sh
index ff71251..3aacf6e 100755
--- a/test/app-emu/vnc/run.sh
+++ b/test/app-emu/vnc/run.sh
@@ -17,7 +17,7 @@ $crtools dump -j --tcp-established -D data/ -o dump.log -v 4 -t $pid || {
 
 wait_tasks dump
 
-$crtools restore -j --tcp-established -D data/ -d -o restore.log -v 4 -t $pid || {
+$crtools restore -j --tcp-established -D data/ -d -o restore.log -v 4 || {
 	echo "Restore failed"
 	exit 1
 }
diff --git a/test/mem-snap/run-predump.sh b/test/mem-snap/run-predump.sh
index c2ced44..af3369f 100644
--- a/test/mem-snap/run-predump.sh
+++ b/test/mem-snap/run-predump.sh
@@ -67,7 +67,7 @@ for SNAP in $(seq 1 $NRSNAP); do
 done
 
 echo "Restoring"
-${CRTOOLS} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -t ${PID} -d -v 4 || fail "Fail to restore server"
+${CRTOOLS} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v 4 || fail "Fail to restore server"
 
 cd ../zdtm/live/static/
 make mem-touch.out
diff --git a/test/mem-snap/run-snap.sh b/test/mem-snap/run-snap.sh
index eb025ba..dc415ff 100755
--- a/test/mem-snap/run-snap.sh
+++ b/test/mem-snap/run-snap.sh
@@ -64,7 +64,7 @@ for SNAP in $(seq 1 $NRSNAP); do
 done
 
 echo "Restoring"
-${CRTOOLS} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -t ${PID} -d -v 4 || fail "Fail to restore server"
+${CRTOOLS} restore -D "${IMGDIR}/$NRSNAP/" -o restore.log -d -v 4 || fail "Fail to restore server"
 
 cd ../zdtm/live/static/
 make mem-touch.out
diff --git a/test/tcp/run.sh b/test/tcp/run.sh
index 8e81683..512a64d 100644
--- a/test/tcp/run.sh
+++ b/test/tcp/run.sh
@@ -44,7 +44,7 @@ echo "Suspend server"
 ${CRTOOLS} dump -D ${DDIR} -o dump.log -t ${SRV_PID} --tcp-established -vvvv || fail "Fail to dump server"
 sleep 1
 echo "Resume server"
-${CRTOOLS} restore -D ${DDIR} -o restore.log -t ${SRV_PID} -d --tcp-established -vvvv --close 3 || fail "Fail to restore server"
+${CRTOOLS} restore -D ${DDIR} -o restore.log -d --tcp-established -vvvv --close 3 || fail "Fail to restore server"
 
 echo "Make client run again"
 echo "${TEXT}" >&3
diff --git a/test/zdtm.sh b/test/zdtm.sh
index 4b11a96..5ad20be 100755
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -385,8 +385,8 @@ EOF
 			done
 		done
 
-		echo Restore $PID
-		setsid $CRTOOLS restore --file-locks --tcp-established -x -D $ddump -o restore.log -v 4 -d -t $PID $args || return 2
+		echo Restore
+		setsid $CRTOOLS restore --file-locks --tcp-established -x -D $ddump -o restore.log -v 4 -d $args || return 2
 
 		for i in `seq 5`; do
 			save_fds $PID  $ddump/restore.fd
-- 
1.8.1.4



More information about the CRIU mailing list